package com.cc.infosur.polygon;

/**
 * Point on 2D landscape
 * 
 * @author Roman Kushnarenko (sromku@gmail.com)</br>
 */
public class Point
{
	public Point(Double x, Double y)
	{
		this.x = x.floatValue();
		this.y = y.floatValue();
	}
	
	public Point(float x, float y)
	{
		this.x = x;
		this.y = y;
	}

	public float x;
	public float y;

    public float getX() {
        return x;
    }

    public void setX(float x) {
        this.x = x;
    }

    public float getY() {
        return y;
    }

    public void setY(float y) {
        this.y = y;
    }

    @Override
	public String toString()
	{
		return String.format("(%.2f,%.2f)", x, y);
	}
}